# ThreadMutex Class Reference

Cross-platform Mutex. More...

`#include <thread.h>`

Inheritance diagram for ThreadMutex:

## Public Member Functions
virtual | ~ThreadMutex ()
| Virtual Destructor to avoid compiler warnings.
virtual void | BeginCritical ()=0
| Begin the critical section.
virtual void | EndCritical ()=0
| End of the critical section.
virtual void | WaitForSignal ()=0
| Wait for a signal to be send.
virtual void | SendSignal ()=0
| Send a signal and wake the 'thread' that was waiting for it.
## Static Public Member Functions
static ThreadMutex * | New ()

## Detailed Description

Cross-platform Mutex.

Definition at line 53 of file thread.h.

## Member Function Documentation

virtual void ThreadMutex::WaitForSignal | ( |  | ) | `[pure virtual]`

Wait for a signal to be send.

Precondition:
  You must be in the critical section.

Note:
  While waiting the critical section is left.

Postcondition:
  You will be in the critical section.

Implemented in ThreadMutex_None, ThreadMutex_OS2, ThreadMutex_pthread, and ThreadMutex_Win32.

The documentation for this class was generated from the following files:

- src/thread/thread.h
- src/thread/thread_none.cpp
- src/thread/thread_os2.cpp
- src/thread/thread_pthread.cpp
- src/thread/thread_win32.cpp